Skip to main content
GET
/
rewards
/
all
/
{configId}
/
{epoch}
/
{address}
Get All Rewards By Address
curl --request GET \
  --url https://backend-global.gains.trade/rewards/all/{configId}/{epoch}/{address}
{}

Endpoint

GET /rewards/all/{configId}/{epoch}/{address} Returns all rewards for one address.

Parameters

ParameterLocationRequiredTypeDescription
configIdpathYesstringReward config ID.
epochpathYesstringEpoch ID.
addresspathYesstringWallet address.

Usage Example

curl -X GET "https://backend-arbitrum.gains.trade/rewards/all/config-id/1/0x0000000000000000000000000000000000000000"

Response Structure

The generated API panel lists the response schema for status codes: 200. Error responses generally return an error or message field.

Path Parameters

configId
string
required

Reward config ID.

epoch
string
required

Epoch ID.

address
string
required

Wallet address.

Response

200 - application/json

Successful response

The response is of type object.